package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
*推广者获得奖品名细子单
* @author quyixiao
* @since 2025-11-22
*/

@Data
@TableName("vv_promoter_trade_order_line_award")
public class VvPromoterTradeOrderLineAwardEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPromoterTradeOrderLineAwardEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                        // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                              // 创建时间戳
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                              // 修改时间
    public final static String activity_id = CLASS_NAME + "activity_id";                                        // 活动id
    public final static String activity_name = CLASS_NAME + "activity_name";                                    // 活动名称
    public final static String promoter_id = CLASS_NAME + "promoter_id";                                        // 推广者id，唯一值
    public final static String promoter_buyer_id = CLASS_NAME + "promoter_buyer_id";                            // 
    public final static String promoter_buyer_name = CLASS_NAME + "promoter_buyer_name";                        // 买家名称
    public final static String promoter_buyer_weixin = CLASS_NAME + "promoter_buyer_weixin";                    // 买家微信
    public final static String promoter_buyer_phone = CLASS_NAME + "promoter_buyer_phone";                      // 买家手机号
    public final static String was_buyer_id = CLASS_NAME + "was_buyer_id";                                      // 被推荐者买家id
    public final static String was_buyer_name = CLASS_NAME + "was_buyer_name";                                  // 被推荐者买家名称
    public final static String was_buyer_weixin = CLASS_NAME + "was_buyer_weixin";                              // 被推荐者买家微信
    public final static String was_buyer_phone = CLASS_NAME + "was_buyer_phone";                                // 被推荐者买家手机号
    public final static String award_amount = CLASS_NAME + "award_amount";                                      // 奖励金额
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                                  // 订单id
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";                        // 子订单id
    public final static String status_ = CLASS_NAME + "status";                                                 // create 创建, canceled 取消 , arrive，到账, apply_draw:买家申请提现,seller_agree_draw: 卖家同意提现,seller_reject_draw:卖家拒绝提现,draw_success:提现成功,draw_failed:提现失败
    public final static String promoter_trade_order_award_id = CLASS_NAME + "promoter_trade_order_award_id";    // 推荐id
    public final static String gmt_canceled = CLASS_NAME + "gmt_canceled";                                      // 取消时间
    public final static String gmt_create = CLASS_NAME + "gmt_create";                                          // 创建时间
    public final static String gmt_arrive = CLASS_NAME + "gmt_arrive";                                          // 到账时间
    public final static String canceled_reason = CLASS_NAME + "canceled_reason";                                // 取消原因
    public final static String reject_reason = CLASS_NAME + "reject_reason";                                    // 拒绝原因
    public final static String gmt_reject = CLASS_NAME + "gmt_reject";                                          // 拒绝时间
    public final static String gmt_agree = CLASS_NAME + "gmt_agree";                                            // 同意时间
    public final static String gmt_apply_draw = CLASS_NAME + "gmt_apply_draw";                                  // 申请提现
    public final static String gmt_draw_success = CLASS_NAME + "gmt_draw_success";                              // 提现成功时间
    public final static String gmt_draw_failed = CLASS_NAME + "gmt_draw_failed";                                // 提现失败时间
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //创建时间戳
    private Long createTimestamp;
    //修改时间
    private Long modifyTimestamp;
    //活动id
    private Long activityId;
    //活动名称
    private String activityName;
    //推广者id，唯一值
    private Long promoterId;
    //
    private Long promoterBuyerId;
    //买家名称
    private String promoterBuyerName;
    //买家微信
    private String promoterBuyerWeixin;
    //买家手机号
    private String promoterBuyerPhone;
    //被推荐者买家id
    private Long wasBuyerId;
    //被推荐者买家名称
    private String wasBuyerName;
    //被推荐者买家微信
    private String wasBuyerWeixin;
    //被推荐者买家手机号
    private String wasBuyerPhone;
    //奖励金额
    private BigDecimal awardAmount;
    //订单id
    private Long tradeOrderId;
    //子订单id
    private Long tradeOrderLineId;
    //create 创建, canceled 取消 , arrive，到账, apply_draw:买家申请提现,seller_agree_draw: 卖家同意提现,seller_reject_draw:卖家拒绝提现,draw_success:提现成功,draw_failed:提现失败
    private String status;
    //推荐id
    private Long promoterTradeOrderAwardId;
    //取消时间
    private Date gmtCanceled;
    //创建时间
    private Date gmtCreate;
    //到账时间
    private Date gmtArrive;
    //取消原因
    private String canceledReason;
    //拒绝原因
    private String rejectReason;
    //拒绝时间
    private Date gmtReject;
    //同意时间
    private Date gmtAgree;
    //申请提现
    private Date gmtApplyDraw;
    //提现成功时间
    private Date gmtDrawSuccess;
    //提现失败时间
    private Date gmtDrawFailed;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 创建时间戳 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间戳 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 活动id 
     * @return
     */
    public Long getActivityId() {
        return activityId;
    }
    /**
     * 活动id 
     * @param activityId
     */
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    /**
     * 活动名称 
     * @return
     */
    public String getActivityName() {
        return activityName;
    }
    /**
     * 活动名称 
     * @param activityName
     */
    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    /**
     * 推广者id，唯一值 
     * @return
     */
    public Long getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id，唯一值 
     * @param promoterId
     */
    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    /**
     *  
     * @return
     */
    public Long getPromoterBuyerId() {
        return promoterBuyerId;
    }
    /**
     *  
     * @param promoterBuyerId
     */
    public void setPromoterBuyerId(Long promoterBuyerId) {
        this.promoterBuyerId = promoterBuyerId;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getPromoterBuyerName() {
        return promoterBuyerName;
    }
    /**
     * 买家名称 
     * @param promoterBuyerName
     */
    public void setPromoterBuyerName(String promoterBuyerName) {
        this.promoterBuyerName = promoterBuyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getPromoterBuyerWeixin() {
        return promoterBuyerWeixin;
    }
    /**
     * 买家微信 
     * @param promoterBuyerWeixin
     */
    public void setPromoterBuyerWeixin(String promoterBuyerWeixin) {
        this.promoterBuyerWeixin = promoterBuyerWeixin;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getPromoterBuyerPhone() {
        return promoterBuyerPhone;
    }
    /**
     * 买家手机号 
     * @param promoterBuyerPhone
     */
    public void setPromoterBuyerPhone(String promoterBuyerPhone) {
        this.promoterBuyerPhone = promoterBuyerPhone;
    }

    /**
     * 被推荐者买家id 
     * @return
     */
    public Long getWasBuyerId() {
        return wasBuyerId;
    }
    /**
     * 被推荐者买家id 
     * @param wasBuyerId
     */
    public void setWasBuyerId(Long wasBuyerId) {
        this.wasBuyerId = wasBuyerId;
    }

    /**
     * 被推荐者买家名称 
     * @return
     */
    public String getWasBuyerName() {
        return wasBuyerName;
    }
    /**
     * 被推荐者买家名称 
     * @param wasBuyerName
     */
    public void setWasBuyerName(String wasBuyerName) {
        this.wasBuyerName = wasBuyerName;
    }

    /**
     * 被推荐者买家微信 
     * @return
     */
    public String getWasBuyerWeixin() {
        return wasBuyerWeixin;
    }
    /**
     * 被推荐者买家微信 
     * @param wasBuyerWeixin
     */
    public void setWasBuyerWeixin(String wasBuyerWeixin) {
        this.wasBuyerWeixin = wasBuyerWeixin;
    }

    /**
     * 被推荐者买家手机号 
     * @return
     */
    public String getWasBuyerPhone() {
        return wasBuyerPhone;
    }
    /**
     * 被推荐者买家手机号 
     * @param wasBuyerPhone
     */
    public void setWasBuyerPhone(String wasBuyerPhone) {
        this.wasBuyerPhone = wasBuyerPhone;
    }

    /**
     * 奖励金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 奖励金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单id 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 子订单id 
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     * 子订单id 
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     * create 创建, canceled 取消 , arrive，到账, apply_draw:买家申请提现,seller_agree_draw: 卖家同意提现,seller_reject_draw:卖家拒绝提现,draw_success:提现成功,draw_failed:提现失败 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * create 创建, canceled 取消 , arrive，到账, apply_draw:买家申请提现,seller_agree_draw: 卖家同意提现,seller_reject_draw:卖家拒绝提现,draw_success:提现成功,draw_failed:提现失败 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 推荐id 
     * @return
     */
    public Long getPromoterTradeOrderAwardId() {
        return promoterTradeOrderAwardId;
    }
    /**
     * 推荐id 
     * @param promoterTradeOrderAwardId
     */
    public void setPromoterTradeOrderAwardId(Long promoterTradeOrderAwardId) {
        this.promoterTradeOrderAwardId = promoterTradeOrderAwardId;
    }

    /**
     * 取消时间 
     * @return
     */
    public Date getGmtCanceled() {
        return gmtCanceled;
    }
    /**
     * 取消时间 
     * @param gmtCanceled
     */
    public void setGmtCanceled(Date gmtCanceled) {
        this.gmtCanceled = gmtCanceled;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 到账时间 
     * @return
     */
    public Date getGmtArrive() {
        return gmtArrive;
    }
    /**
     * 到账时间 
     * @param gmtArrive
     */
    public void setGmtArrive(Date gmtArrive) {
        this.gmtArrive = gmtArrive;
    }

    /**
     * 取消原因 
     * @return
     */
    public String getCanceledReason() {
        return canceledReason;
    }
    /**
     * 取消原因 
     * @param canceledReason
     */
    public void setCanceledReason(String canceledReason) {
        this.canceledReason = canceledReason;
    }

    /**
     * 拒绝原因 
     * @return
     */
    public String getRejectReason() {
        return rejectReason;
    }
    /**
     * 拒绝原因 
     * @param rejectReason
     */
    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    /**
     * 拒绝时间 
     * @return
     */
    public Date getGmtReject() {
        return gmtReject;
    }
    /**
     * 拒绝时间 
     * @param gmtReject
     */
    public void setGmtReject(Date gmtReject) {
        this.gmtReject = gmtReject;
    }

    /**
     * 同意时间 
     * @return
     */
    public Date getGmtAgree() {
        return gmtAgree;
    }
    /**
     * 同意时间 
     * @param gmtAgree
     */
    public void setGmtAgree(Date gmtAgree) {
        this.gmtAgree = gmtAgree;
    }

    /**
     * 申请提现 
     * @return
     */
    public Date getGmtApplyDraw() {
        return gmtApplyDraw;
    }
    /**
     * 申请提现 
     * @param gmtApplyDraw
     */
    public void setGmtApplyDraw(Date gmtApplyDraw) {
        this.gmtApplyDraw = gmtApplyDraw;
    }

    /**
     * 提现成功时间 
     * @return
     */
    public Date getGmtDrawSuccess() {
        return gmtDrawSuccess;
    }
    /**
     * 提现成功时间 
     * @param gmtDrawSuccess
     */
    public void setGmtDrawSuccess(Date gmtDrawSuccess) {
        this.gmtDrawSuccess = gmtDrawSuccess;
    }

    /**
     * 提现失败时间 
     * @return
     */
    public Date getGmtDrawFailed() {
        return gmtDrawFailed;
    }
    /**
     * 提现失败时间 
     * @param gmtDrawFailed
     */
    public void setGmtDrawFailed(Date gmtDrawFailed) {
        this.gmtDrawFailed = gmtDrawFailed;
    }

    @Override
    public String toString() {
        return "VvPromoterTradeOrderLineAwardEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",activityId=" + activityId +
                ",activityName=" + activityName +
                ",promoterId=" + promoterId +
                ",promoterBuyerId=" + promoterBuyerId +
                ",promoterBuyerName=" + promoterBuyerName +
                ",promoterBuyerWeixin=" + promoterBuyerWeixin +
                ",promoterBuyerPhone=" + promoterBuyerPhone +
                ",wasBuyerId=" + wasBuyerId +
                ",wasBuyerName=" + wasBuyerName +
                ",wasBuyerWeixin=" + wasBuyerWeixin +
                ",wasBuyerPhone=" + wasBuyerPhone +
                ",awardAmount=" + awardAmount +
                ",tradeOrderId=" + tradeOrderId +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",status=" + status +
                ",promoterTradeOrderAwardId=" + promoterTradeOrderAwardId +
                ",gmtCanceled=" + gmtCanceled +
                ",gmtCreate=" + gmtCreate +
                ",gmtArrive=" + gmtArrive +
                ",canceledReason=" + canceledReason +
                ",rejectReason=" + rejectReason +
                ",gmtReject=" + gmtReject +
                ",gmtAgree=" + gmtAgree +
                ",gmtApplyDraw=" + gmtApplyDraw +
                ",gmtDrawSuccess=" + gmtDrawSuccess +
                ",gmtDrawFailed=" + gmtDrawFailed +
                "}";
    }
}